Skip to main content
GET
/
v1
/
invoices
List Invoices
curl --request GET \
  --url https://api.monk.com/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "invoiceNumber": "<string>",
      "customerId": "<string>",
      "contractId": "<string>",
      "status": "Drafted",
      "invoiceDate": "2023-12-25",
      "dueDate": "2023-12-25",
      "totalCents": 123,
      "memo": "<string>",
      "paymentLink": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "lineItems": [
        {
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "quantity": 123,
          "unitPriceCents": 123,
          "totalAmountCents": 123,
          "unitPrice": "<string>",
          "totalAmount": "<string>",
          "priceId": "<string>",
          "isMetered": true,
          "servicePeriod": {
            "start": "2023-11-07T05:31:56Z",
            "end": "2023-11-07T05:31:56Z"
          }
        }
      ]
    }
  ],
  "hasMore": true,
  "total": 123
}
Scope: invoices:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customerId
string

Filter by customer ID

status
enum<string>
Available options:
Drafted,
In Progress,
In Transit,
Paid,
Cancelled,
Refunded
createdAfter
string<date>

ISO 8601 date

createdBefore
string<date>

ISO 8601 date

limit
integer
default:10
Required range: x <= 100
offset
integer
default:0
include
string

Comma-separated list of related resources to include. Supported values: lineItems

Response

Paginated invoice list

data
object[]
hasMore
boolean
total
integer